Bug 1418460 - need ostree repo sync to show better progress information.
Summary: need ostree repo sync to show better progress information.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Adam Ruzicka
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 21:38 UTC by Tom McKay
Modified: 2019-04-01 20:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)
verification screenshot (32.93 KB, image/png)
2017-08-30 09:13 UTC, Adam Ruzicka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18361 None None None 2017-02-01 21:38 UTC

Description Tom McKay 2017-02-01 21:38:52 UTC
Ostree repo sync doesnot accurately show the progress or show metrics on how many units are getting pulled. We need to indicate that number on the screen so that users can properly track that.

Comment 1 Tom McKay 2017-02-01 21:38:56 UTC
Created from redmine issue http://projects.theforeman.org/issues/18361

Comment 2 Tom McKay 2017-02-01 21:39:01 UTC
Upstream bug assigned to paji@redhat.com

Comment 4 pm-sat@redhat.com 2017-02-12 09:02:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18361 has been resolved.

Comment 6 Adam Ruzicka 2017-08-30 09:13 UTC
Created attachment 1319946 [details]
verification screenshot

Comment 7 Adam Ruzicka 2017-08-30 09:16:11 UTC
Verified.
Version Tested: Satellite-6.3 Snap 13
Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch
katello-3.4.4-2.el7sat.noarch

Created an OSTree repo with url set to https://kojipkgs.fedoraproject.org/atomic/26/, started syncing the repo. Task details showed information about number of units being downloaded. See verification screenshot in #6 for details.

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.